function s = strjust(s, opt)

if nargin < 2, opt = ''; end
opt = min(strmatch(lower(opt), {'right', 'left', 'center'}));
if isempty(opt), error('unknown command option'), end
[1 0 0.5]; opt = ans(opt);

if iscell(s), cellflag = 1; s = char(s(:)); else cellflag = 0; end
width = size(s, 2);
spaces = repmat(' ', [1 width]);

for i = 1:size(s, 1)
   t = deblank(fliplr(deblank(fliplr(s(i, :)))));
   nLeft = floor(opt*(width - length(t)));
   nRight = width - length(t) - nLeft;
   s(i, :) = [spaces(1:nLeft) t spaces(1:nRight)];
end
if cellflag, s = cellstr(s); end
